Välj en sida

Administratörerna för paketet för maskininlärningsramverket Pytorch uppmanar nu användare som installerat nightly build mellan den 25 och den 30 december 2022 att avinstallera det snarast och installera den senaste versionen istället, rapporterar Bleeping Computer.

Anledningen är att paketet innehåller ett skadligt bindningsfel, torchtriton, som skulle kunna användas för attacker längs med försörjningskedjan och exfiltrera systeminformation. Bland annat miljövariabler, den aktuella katalogen, värdnamn och filerna /etc/hosts, /etc/passwd, dom första 1000 filerna i $HOME/*, $HOME/.gitconfig och $HOME/.ssh/*.

Enligt ägaren till domänen som samlat in datan ska det inte handla om datastöld utan om etiska efterforskningar. Personen påstår att den insamlade datan därefter raderats.

Läs också: AI pekade ut fel person – oskyldig greps av polis

 

Läs mer